# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2017-07-05 19:21
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ProjectName', models.CharField(max_length=100)),
                ('StartDate', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='SubTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField()),
                ('Branch', models.BooleanField()),
                ('name', models.CharField(max_length=100)),
                ('ref', models.ManyToManyField(related_name='_subtask_ref_+', to='core.SubTask')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField()),
                ('Branch', models.BooleanField()),
                ('name', models.CharField(max_length=100)),
                ('ref', models.ManyToManyField(to='core.SubTask')),
            ],
        ),
        migrations.AddField(
            model_name='project',
            name='TaskReference',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Task'),
        ),
    ]
